._hidden {
  display: none;
}
.left, .right {
  height: 100%;
  width: 50%;
  position: relative;
}
.left .top {
  height: 124px;
  width: 100%;
}
.right .top {
  height: 124px;
  width: 100%;
}
.left .bottom {
  height: calc(100% - 124px);
  width: 100%;
  overflow: auto;
}
.right .bottom {
  height: calc(100% - 124px);
  width: 100%;
  overflow: auto;
}
.ui.form {
  display: flex;
  padding: 3px 8px;
  box-sizing: border-box;
  height: 100%;
}
.ui.form > .fields {
  margin-right: 20px !important;
  margin-bottom: 0 !important;
}
.margin-right {
  margin-right: 20px;
}
body {
  display: flex;
}
.top {
  font-size: 12px;
  position: relative;
}
.ui.form {
  font-size: 12px;
}
label {
  font-size: 12px !important;
}
.field {
  margin: 3px 0 !important;
}
.no-margin {
  margin: 0 !important;
}
.bottom {
  border: solid gainsboro 1px;
}
.canvas-actions {
  position: absolute;
  bottom: -45px;
  right: 15px;
}
.canvas-actions button {
  box-shadow: 0 0 5px 0 rgba(0,0,0,0.75);
}
.canvas-actions-left, .canvas-actions-right {
  position: absolute;
  right: 14px;
  display: flex;
  flex-direction: column;
}
.canvas-actions-left button, .canvas-actions-right button {
  margin-top: 2px !important;
}
.canvas-actions-left select, .canvas-actions-right select {
  margin-top: 2px !important;
}
.buttons-right {
  height: 24px;
  max-width: 400px;
}
.buttons-right button {
  margin-right: 2px !important;
  padding: 2px 4px !important;
}
.controls-right {
  display: flex;
}
.right .top .ui.form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.controls-right > *:not(:last-child) {
  margin-right: 16px !important;
}
.color-picker input {
  width: 23px;
  margin-top: 6px;
}